> ## Documentation Index
> Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Penny Drop

> Bank account verification or penny drop check is a way to verify the authenticity of a customer's bank account.
We take the Bank Account details and deposit 1 INR into the account. In return, we are able to fetch the Account Information

The API verifies a bank account and IFSC code combination.    

A successful response is billable only in case of a 200 Response Status Code.



## OpenAPI

````yaml GET /v1/verification/bankaccount
openapi: 3.0.2
info:
  title: Deepvue.tech Developers' Guide
  description: >-
    Deepvue.tech's APIs and SDKs are a No-Code Solution to Document Digitization
    and Verification for Businesses.
  version: v1
  x-logo:
    url: https://deepvue.tech/wp-content/uploads//2022/01/deepvue-logo1-1.svg
servers:
  - url: https://production.deepvue.tech
security:
  - BearerAuth: []
    ApiKeyAuth: []
tags:
  - name: Authorization
    description: |-
      - You need an Authorized Access Token to access any of the Platform APIs.
      - One Access Token will be valid for only 24 hours.
      - After 24 hours, you can renew the token by using the Authorize Endpoint.
      - This will issue another access_token valid for 24 hrs.
  - name: Aadhaar Ekyc V2
    description: New streamlined APIs for Aadhaar eKYC
  - name: Offline Aadhaar eKYC
    description: >-
      Offline Aadhaar KYC, or OKYC, is a legally compliant KYC method as per
      UIDAI guidelines.   
                              Your customers can provide their Aadhaar number and verify with an OTP sent to their Aadhaar-linked mobile number, to access a downloadable XML file with their Aadhaar details.   

      **How does Offline Aadhaar Verification work?**    
                              **Provide Consent**:  Customers agree or disagree to continue at the initial screen.   
                              **Share Aadhaar Number**: Customers provide their Aadhaar number to proceed with the verification.   
                              **Verify with OTP**: Verify with an OTP sent to their Aadhaar-linked mobile number by UIDAI, to access a downloadable XML file with their Aadhaar details in a share code manner.    
                              **Realtime face match** for liveness detection: The Aadhaar Offline document has Name, Address, Photo, Gender, DOB. Optionally, the photo in the UIDAI Issued Aadhaar document can be matched with customers' live photo or a selfie in real time to ensure liveness checks.   

      *You can simply integrate Offline Aadhaar eKYC within your application
      with no-code and in no time with our Deepvue.tech Offline Aadhaar eKYC
      SDKs.*    


      **Below are the integration guides to integrate the platform specific
      SDKs:**   

      **Android SDK** :
      https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-android-sdk   
                              **iOS SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-ios-sdk   
                              **React-Native SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-react-sdk    
                              **Flutter SDK** : https://pub.dev/packages/aadhaar_offline_ekyc    

      **NOTE**:   
                  
              As per the compliances by UIDAI on sharing and storage of Aadhaar number is not allowed.    
              
              Service Providers shall not share, publish or display either Share Code or XML file or its contents with anyone else.   
              Any non-compliance of these actions shall invite actions under Sections 17 and 25 of The Aadhaar (Authentication) Regulation, 2016,    
              Sections 4 and 6 of The Aadhaar (Sharing of Information) Regulation, 2016 and Sections 29(2), 29 (3), and 37 of The Aadhaar Act, 2016.   

              Consent should be mandatorily stored at the company end to proceed with verification.   

      If you want to integrate Aadhaar eKYC in your web application or want to
      build your own customized workflow you can use our Aadhaar eKYC APIs
      detailed below.   


      Embed offline eKYC Aadhaar flow to verify consumers on your application
      using a simple flow.    
                                      - **Initiate Session**: This API allows the platform to initiate a session to get the captcha before passing the Aadhaar number of the customer.    
                                      - **Generate OTP**: This API allows the platform to pass the Aadhaar number to generate OTP to the linked mobile number.    
                                      - **Verify OTP**: This API allows the platform to pass the OTP to Deepvue.tech to fetch the customer's Aadhaar information from UIDAI.    

      If the customer or the platform wishes to restart the session, a new
      captcha can be generated using the Reload Captcha API.
  - name: Digilocker
    description: >-
      Digilocker is an initiative under Digital India Program which aims to
      remove the dependency on physical documents and power the sharing of
      verified electronic documents across authorised agencies.   


      **Benefits of Digilocker**    
                              1. Documents can be shared online, accessed anytime, anywhere.   
                              2. Documents can be authenticated by the users, legally on a par with originals.   
                              3. It's simple to use and very convenient.   
                              4. Documents are issued directly by the registered issuers such as Income Tax Department, CBSE, Registrar Office, etc.    

      **Product Flow**   

      **Initiate Session** : This API creates a session in which DigiLocker
      journey can be completed with other APIs in the flow.   
                              **Get User Access Token** : This API allows the platform to get user access token from Digilocker by passing the authorisation code generated from Digilocker.   
                              **Get Issued Files** : This API allows the platform to fetch a list of issued documents from Digilocker.    
                              **Download e-Aadhar** : This API allows the platform to download the Aadhaar XML from Digilocker.    
                              **Download File** : This API allows the platform to download the file from Digilocker by passing the URI for a particular document.    
  - name: KYC APIs
    description: >-
      Verify Aadhaar, PAN, GSTIN, Bank Account, and UPI details in real time for
      quick KYC checks.
  - name: Document OCR
    description: >-
      Our systems use Modern & Latest OCR technology to scan the document images
      for field’s like full name, dob, address, etc. on the photo IDs and
      exctract these fields as key-value pairs.
  - name: Document Forensics
    description: >-
      Set of APIs that help with document forensic checks like template
      validation, image quality, photocopy, and spoof checks.
  - name: Face Forensics
    description: >-
      APIs for facial recognition and liveliness verification in real time.    

      The Face Match API employs advanced algorithms for reliable facial
      matching, crucial for secure access control and compliance.   

      The Passive Liveness API enhances security by detecting and confirming the
      liveliness of faces during authentication, providing an additional layer
      of protection against impersonation and fraud.   
  - name: Async KYC APIs
    description: >-
      Verify other Identity documents such as Driving License, Vehicle
      Registration Certificate etc. in real time for fast KYC checks.    
              These are Asynchronous APIs which return a request ID and use a webhook mechanism to return the response back to your servers.    
              You can then use this request ID and feed this into our GET API to consume the response.
  - name: GST APIs
    description: >-
      Set of APIs that help with GST Registered business verification and
      onboarding.
  - name: GST Taxpayer APIs
    description: >-
      The GST Taxpayer APIs are provided by the GSTN for public usage. These
      APIs, together, mirror the GST Portal.   


      Therefore, you can use these APIs to integrate GST compliance into your
      workflow itself.   


      Use the following workflow to access the GST Taxpayer APIs:   


      **First**, the GST taxpayer is authenticated using **OTP
      Verification**.   


      **Second**, after successful authentication, the GST Taxpayer APIs can be
      accessed.   
         i. **Ledger APIs** - Fetch the taxpayer's ledger like a) Cash ITC Balance, b) Cash Ledger, c) ITC Ledger.   
         ii. **Returns APIs** - Fetch the taxpayer's detailed summaries of GSTR -1 and GSTR -3B Returns.   
  - name: Taxpayer APIs
    description: |-
      Taxpayer APIs includes TAN Verification.   

       Taxpayer APIs help businesses verify their vendors, customers & employees using TAN. APIs also provide publicly available data such as name, address, and contact details that can be verified against physical documents.   
  - name: ITR APIs
    description: |-
      ITR APIs includes ITR Verification APIs including 26AS.   

       ITR APIs helps businesses download ITR information, such as ITR ID, Filing Year, Acknowledgement Number, ITR Form, Filing Date, ITR status, etc..    
  - name: MSME APIs
    description: >-
      Set of APIs that help with MSME Registered business verification and
      onboarding.
  - name: MCA APIs
    description: >-
      Set of APIs that help fetch MCA's Director Master Data & Company Master
      Data.
  - name: Financial Services
    description: >-
      Suite that provides you whole array of APIs to serve multiple financial
      services and fetch data for an organisation or individual from various
      data sources in a streamlined manner.   


      Some of the key things that you can do here are:   


      i.Fetch the Credit Report from any of our partner credit bureaus.   

      ii.Fetch customer's Customer Data Pull basis mobile number and name to
      simplify your onboarding.
  - name: Account Aggregator
    description: >-
      Account Aggregators(AAs) are regulated entities that facilitate consented
      sharing of financial data by utilising the DEPA framework. They act as the
      bridge between data providers such as banks, and data consumers such as
      lenders—to enable the sharing of a user’s financial data based on their
      explicit consent.   
              Deepvue currently provides AA-related services in close partnership with a fully-licensed AA.
paths:
  /v1/verification/bankaccount:
    get:
      tags:
        - KYC APIs
      summary: Bank Account Verification
      description: >-
        Bank account verification or penny drop check is a way to verify the
        authenticity of a customer's bank account.

        We take the Bank Account details and deposit 1 INR into the account. In
        return, we are able to fetch the Account Information


        The API verifies a bank account and IFSC code combination.    


        A successful response is billable only in case of a 200 Response Status
        Code.
      operationId: Bank_Account_Verification_v1_verification_bankaccount_get
      parameters:
        - required: true
          schema:
            title: Account Number
            type: string
          name: account_number
          in: query
        - required: true
          schema:
            title: Ifsc
            type: string
          name: ifsc
          in: query
        - required: false
          schema:
            title: Name
            type: string
          name: name
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                title: >-
                  Response 200 - Account Verified / Invalid Account Or IFSC /
                  Account Blocked / Invalid IFSC / NRE Account
                anyOf:
                  - $ref: '#/components/schemas/RESPONSE_BAV_PENNY_DROP_200_VERIFIED'
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_200_INVALID_ACCOUNT_OR_IFSC
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_200_ACCOUNT_BLOCKED
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_200_INVALID_IFSC
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_200_NRE_ACCOUNT
              examples:
                200 - Account Verified:
                  summary: Bank account verified successfully
                  value:
                    code: 200
                    timestamp: 1738042952419
                    transaction_id: fe104a7a-f3a9-4365-9390-e3af0e4193e5
                    data:
                      message: Bank Account details verified successfully.
                      account_exists: true
                      name_at_bank: Master NIHARika  .
                      utr: '502811454342'
                      amount_deposited: 1
                      name_information:
                        name_at_bank_cleaned: Master Niharkika
                200 - Invalid Account Or IFSC:
                  summary: Invalid account number or IFSC
                  value:
                    code: 200
                    timestamp: 1738042853984
                    transaction_id: 95237c7f-607e-4601-86fe-bd14a5d07e90
                    data:
                      account_exists: false
                      message: Invalid account number or ifsc provided
                200 - Account Blocked:
                  summary: Account is blocked
                  value:
                    code: null
                    timestamp: null
                    transaction_id: string
                    data:
                      account_exists: true
                      message: Account is blocked
                200 - Invalid IFSC:
                  summary: Invalid IFSC
                  value:
                    code: null
                    timestamp: null
                    transaction_id: string
                    data:
                      account_exists: true
                      message: IFSC is invalid
                200 - NRE Account:
                  summary: NRE account detected
                  value:
                    code: null
                    timestamp: null
                    transaction_id: string
                    data:
                      account_exists: true
                      message: Given account is an NRE account
        '400':
          description: BAD_REQUEST (Invalid Input / Parameters)
          content:
            application/json:
              schema:
                title: Response 400 - Inactive Client / Bad Request
                anyOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_400_INACTIVE_CLIENT
              examples:
                400 - Inactive Client:
                  summary: Inactive client
                  value:
                    detail: Inactive client_id
        '401':
          description: Incorrect client_id or client_secret
          content:
            application/json:
              schema:
                title: >-
                  Response 401 - Not Authenticated / Invalid Client / Invalid
                  Credentials / Authorization Failure
                anyOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_401_UNAUTHENTICATED
              examples:
                401 - Not Authenticated:
                  summary: Not authenticated
                  value:
                    detail: Not authenticated
        '403':
          description: Access Forbidden
          content:
            application/json:
              schema:
                title: Response 403 - Token Expired / Access Forbidden
                anyOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_403_ACCESS_FORBIDDEN
              examples:
                403 - Invalid Token:
                  summary: Invalid token
                  value:
                    detail: Not a valid token
        '422':
          description: BAD_REQUEST
          content:
            application/json:
              schema:
                title: >-
                  Response 422 - Invalid Bank Account Pattern / Invalid IFSC
                  Pattern
                anyOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_422_INVALID_IFSC_PATTERN
              examples:
                422 - Invalid IFSC Pattern:
                  summary: Invalid IFSC pattern
                  value:
                    code: 422
                    timestamp: 1738042992649
                    transaction_id: 800bcdd2-3b0c-48c1-8941-4f86d691804e
                    message: Invalid IFSC pattern
        '424':
          description: Failed Dependency
          content:
            application/json:
              schema:
                title: >-
                  Response 424 - Source Bank Declined / Beneficiary Bank Offline
                  / IMPS Mode Fail / NPCI Unavailable
                anyOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_424_SOURCE_BANK_DECLINED
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_424_BENEFICIARY_BANK_OFFLINE
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_424_IMPS_MODE_FAIL
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_424_NPCI_UNAVAILABLE
              examples:
                424 - Source Bank Declined:
                  summary: Source bank declined
                  value:
                    code: null
                    timestamp: null
                    transaction_id: string
                    message: Source bank declined
                424 - Beneficiary Bank Offline:
                  summary: Beneficiary bank offline
                  value:
                    code: null
                    timestamp: null
                    transaction_id: string
                    message: Beneficiary bank offline
                424 - IMPS Mode Fail:
                  summary: IMPS mode failed
                  value:
                    code: null
                    timestamp: null
                    transaction_id: string
                    message: IMPS Mode fail
                424 - NPCI Unavailable:
                  summary: NPCI unavailable
                  value:
                    code: null
                    timestamp: null
                    transaction_id: string
                    message: NPCI Unavailable
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                title: Response 500 - Internal Server Error / Failed At Bank
                anyOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_BAV_PENNY_DROP_500_INTERNAL_SERVER_ERROR
              examples:
                500 - Internal Server Error:
                  summary: Internal server error
                  value:
                    detail: Internal Server Error
        '501':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_BAV_PENNY_DROP_501_SOURCE_UNAVAILABLE
              examples:
                501 - Source Unavailable:
                  summary: Source unavailable
                  value:
                    code: null
                    timestamp: null
                    transaction_id: string
                    message: Source Unavailable
components:
  schemas:
    RESPONSE_BAV_PENNY_DROP_200_VERIFIED:
      title: Account Verified
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        data:
          title: Data
          type: object
          properties:
            message:
              title: Message
              type: string
              default: Bank Account details verified successfully.
            account_exists:
              title: Account Exists
              type: boolean
            name_at_bank:
              title: Name At Bank
              type: string
            utr:
              title: UTR
              type: string
            amount_deposited:
              title: Amount Deposited
              type: integer
            name_information:
              title: Name Information
              type: object
              properties:
                name_at_bank_cleaned:
                  title: Name At Bank Cleaned
                  type: string
    RESPONSE_BAV_PENNY_DROP_200_INVALID_ACCOUNT_OR_IFSC:
      title: Invalid Account Or IFSC
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        data:
          title: Data
          type: object
          properties:
            account_exists:
              title: Account Exists
              type: boolean
              default: false
            message:
              title: Message
              type: string
              default: Invalid account number or ifsc provided
    RESPONSE_BAV_PENNY_DROP_200_ACCOUNT_BLOCKED:
      title: Account Blocked
      type: object
      properties:
        code:
          title: Code
          type: integer
          nullable: true
        timestamp:
          title: Timestamp
          type: integer
          nullable: true
        transaction_id:
          title: Transaction Id
          type: string
        data:
          title: Data
          type: object
          properties:
            account_exists:
              title: Account Exists
              type: boolean
              default: true
            message:
              title: Message
              type: string
              default: Account is blocked
    RESPONSE_BAV_PENNY_DROP_200_INVALID_IFSC:
      title: Invalid IFSC
      type: object
      properties:
        code:
          title: Code
          type: integer
          nullable: true
        timestamp:
          title: Timestamp
          type: integer
          nullable: true
        transaction_id:
          title: Transaction Id
          type: string
        data:
          title: Data
          type: object
          properties:
            account_exists:
              title: Account Exists
              type: boolean
              default: true
            message:
              title: Message
              type: string
              default: IFSC is invalid
    RESPONSE_BAV_PENNY_DROP_200_NRE_ACCOUNT:
      title: NRE Account
      type: object
      properties:
        code:
          title: Code
          type: integer
          nullable: true
        timestamp:
          title: Timestamp
          type: integer
          nullable: true
        transaction_id:
          title: Transaction Id
          type: string
        data:
          title: Data
          type: object
          properties:
            account_exists:
              title: Account Exists
              type: boolean
              default: true
            message:
              title: Message
              type: string
              default: Given account is an NRE account
    RESPONSE_BAV_PENNY_DROP_400_INACTIVE_CLIENT:
      title: Inactive Client
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Inactive client_id
    RESPONSE_BAV_PENNY_DROP_401_UNAUTHENTICATED:
      title: Not Authenticated
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not authenticated
    RESPONSE_BAV_PENNY_DROP_403_ACCESS_FORBIDDEN:
      title: Access Forbidden
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not a valid token
    RESPONSE_BAV_PENNY_DROP_422_INVALID_IFSC_PATTERN:
      title: Invalid IFSC Pattern
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 422
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        message:
          title: Message
          type: string
          default: Invalid IFSC pattern
    RESPONSE_BAV_PENNY_DROP_424_SOURCE_BANK_DECLINED:
      title: Source Bank Declined
      type: object
      properties:
        code:
          title: Code
          type: integer
          nullable: true
        timestamp:
          title: Timestamp
          type: integer
          nullable: true
        transaction_id:
          title: Transaction Id
          type: string
        message:
          title: Message
          type: string
          default: Source bank declined
    RESPONSE_BAV_PENNY_DROP_424_BENEFICIARY_BANK_OFFLINE:
      title: Beneficiary Bank Offline
      type: object
      properties:
        code:
          title: Code
          type: integer
          nullable: true
        timestamp:
          title: Timestamp
          type: integer
          nullable: true
        transaction_id:
          title: Transaction Id
          type: string
        message:
          title: Message
          type: string
          default: Beneficiary bank offline
    RESPONSE_BAV_PENNY_DROP_424_IMPS_MODE_FAIL:
      title: IMPS Mode Fail
      type: object
      properties:
        code:
          title: Code
          type: integer
          nullable: true
        timestamp:
          title: Timestamp
          type: integer
          nullable: true
        transaction_id:
          title: Transaction Id
          type: string
        message:
          title: Message
          type: string
          default: IMPS Mode fail
    RESPONSE_BAV_PENNY_DROP_424_NPCI_UNAVAILABLE:
      title: NPCI Unavailable
      type: object
      properties:
        code:
          title: Code
          type: integer
          nullable: true
        timestamp:
          title: Timestamp
          type: integer
          nullable: true
        transaction_id:
          title: Transaction Id
          type: string
        message:
          title: Message
          type: string
          default: NPCI Unavailable
    RESPONSE_BAV_PENNY_DROP_500_INTERNAL_SERVER_ERROR:
      title: Internal Server Error
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Internal Server Error
    RESPONSE_BAV_PENNY_DROP_501_SOURCE_UNAVAILABLE:
      title: Source Unavailable
      type: object
      properties:
        code:
          title: Code
          type: integer
          nullable: true
        timestamp:
          title: Timestamp
          type: integer
          nullable: true
        transaction_id:
          title: Transaction Id
          type: string
        message:
          title: Message
          type: string
          default: Source Unavailable
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        ACCESS_TOKEN generated from the authorize endpoint. Should be included
        in the header as Bearer .
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        The CLIENT_SECRET provided to you. This header parameter is required for
        authentication purposes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.